Package org.eclipse.viatra.query.runtime.matchers.planning.operations

## Class PStart

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.planning.operations.POperation
  - - org.eclipse.viatra.query.runtime.matchers.planning.operations.PStart

-     public class PStart
      extends POperation

  No constraints, and no parent SubPlan, just a (possibly empty) set of a priori known (input) variables. Satisfied by a single tuple.

  Can also be used without a priori variables, e.g. as a "virtual parent" in extreme cases, such as `pattern foo(Bar) = {Bar = eval (3*4)}`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PStart​(java.util.Set<PVariable> aPrioriVariables)` |
    `PStart​(PVariable... aPrioriVariables)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<PVariable>` | `getAPrioriVariables()` |
    `java.util.Set<? extends PConstraint>` | `getDeltaConstraints()` | Newly enforced constraints
    `java.lang.String` | `getShortName()` |
    `int` | `hashCode()` |
    `int` | `numParentSubPlans()` |

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.planning.operations.POperation

      `checkConsistency, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PStart

          public PStart​(java.util.Set<PVariable> aPrioriVariables)

    - #### PStart

          public PStart​(PVariable... aPrioriVariables)

  - ### Method Detail

    - #### getAPrioriVariables

          public java.util.Set<PVariable> getAPrioriVariables()

    - #### getShortName

          public java.lang.String getShortName()

      Specified by:
        `getShortName` in class `POperation`

    - #### numParentSubPlans

          public int numParentSubPlans()

      Specified by:
        `numParentSubPlans` in class `POperation`
      Returns:
        the number of SubPlans that must be specified as parents

    - #### getDeltaConstraints

          public java.util.Set<? extends PConstraint> getDeltaConstraints()

      Description copied from class: `POperation`
      Newly enforced constraints
      Specified by:
        `getDeltaConstraints` in class `POperation`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`